Virtualplanet, problem z zależnościami.

Tematy związane z oprogramowaniem, instalacją, konfiguracją
Awatar użytkownika
arturromarr
Beginner
Posty: 171
Rejestracja: 14 sierpnia 2015, 01:21

Virtualplanet, problem z zależnościami.

Post autor: arturromarr » 04 stycznia 2021, 19:21

Cześć,
Zainstalowałem program do obserwowania planet na komputerze: virtualplanet 2.0
Znalazłem paczki deb, jednak były chyba dla starszego systemu od mojego Debian10 (nowszych nie znalazłem).
libpasastro_1.4.0-48_amd64,
virtualplanet-data_2.0_all,
virtualplanet_2.0_amd64.
Dwa pierwsze zainstalowały się bez problemów.
Przy ostatnim pojawił się problem z zależnościami, wymagane: libpng12-0 (ja mam w wersji: libpng16-16).
Zainstalowałem z opcją: dpkg -i –force-overwrite, i program normalnie działa.
Czy da się coś zrobić, żeby system nie widział niespełnionych zależności z tym pakietem?
Czy można bezproblemowo dograć tą wymaganą starszą paczkę, żeby nie popsuły się inne zależności?

Pozdrawiam.

Awatar użytkownika
dedito
Moderator
Posty: 3274
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Virtualplanet, problem z zależnościami.

Post autor: dedito » 05 stycznia 2021, 09:53

Przede wszystkim podaj link do paczki z tytułu i pozostałych paczek.
Nowsza paczka nie współpracuje z programem za pomocą symlinka?
Ewentualnie rozpakuj paczkę i po prostu wklej w odpowiednie miejsca.
Lista plików pakietu libpng12-0 z gałęzi jessie na architekturę amd64

/lib/x86_64-linux-gnu/libpng12.so.0
/lib/x86_64-linux-gnu/libpng12.so.0.50.0
/usr/lib/x86_64-linux-gnu/libpng12.so.0
/usr/share/doc-base/libpng12
/usr/share/doc/libpng12-0/ANNOUNCE
/usr/share/doc/libpng12-0/KNOWNBUG
/usr/share/doc/libpng12-0/README.Debian
/usr/share/doc/libpng12-0/README.gz
/usr/share/doc/libpng12-0/TODO
/usr/share/doc/libpng12-0/changelog.Debian.gz
/usr/share/doc/libpng12-0/changelog.gz
/usr/share/doc/libpng12-0/copyright
/usr/share/doc/libpng12-0/libpng-1.2.50.txt.gz

Awatar użytkownika
arturromarr
Beginner
Posty: 171
Rejestracja: 14 sierpnia 2015, 01:21

Re: Virtualplanet, problem z zależnościami.

Post autor: arturromarr » 05 stycznia 2021, 15:44

strona projektu:
http://www.ap-i.net/avp/en/start
Pobrałem paczki z danymi i programem:
https://sourceforge.net/projects/virtua ... tware/deb/

Program jak pisałem działa tylko ma niespełnione zależności i przy instalacji innego programu zostaje usunięty.

Awatar użytkownika
dedito
Moderator
Posty: 3274
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Virtualplanet, problem z zależnościami.

Post autor: dedito » 05 stycznia 2021, 16:27

A próbowałeś podanych rozwiązań?

Awatar użytkownika
arturromarr
Beginner
Posty: 171
Rejestracja: 14 sierpnia 2015, 01:21

Re: Virtualplanet, problem z zależnościami.

Post autor: arturromarr » 05 stycznia 2021, 21:25

Możesz trochę dokładniej napisać co zrobić, bo ja jestem tzw. "zwykły użytkownik" :)
Pobrać libpng12-0 jako tgz?, i wkleić po rozpakowaniu do wskazanych katalogów?
trzeba gdzieś jeszcze wpisać, że ta biblioteka jest zainstalowana?

Awatar użytkownika
dedito
Moderator
Posty: 3274
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Virtualplanet, problem z zależnościami.

Post autor: dedito » 05 stycznia 2021, 22:42

Pobrać libpng jako paczkę deb ze strony https://packages.debian.org/pl/jessie/libpng12-0
Na dole są linki do architektur, wybierz właściwą (z tego co widze twoja to amd64) i potem możesz próbować instalować z terminala apt, dpkgi czy graficznie z gdebi, jak ci wygodnie.
Przykładowo pobierz paczkę z tego linka: http://ftp.de.debian.org/debian/pool/ma ... _amd64.deb

U mnie na testingu paczka libpng12 już była (widać została ze starszych edycji), ale za to jak instalowałem Virtualplanet to była jeszcze wymagana paczka libpasastro, którą ściągałem z https://sourceforge.net/projects/libpas ... b/download trochę to dziwne bo w repozytorium jej nie znalazłem, a sam o tym nic nie wspominasz.

Awatar użytkownika
arturromarr
Beginner
Posty: 171
Rejestracja: 14 sierpnia 2015, 01:21

Re: Virtualplanet, problem z zależnościami.

Post autor: arturromarr » 11 stycznia 2021, 19:37

libpasastro zainstalowałem na początku.
Problem jest tylko z tą libpng12-0
Mam zainstalowane libpng16-16. Odinstalować nie mogę bo chce kilkanaście programów usunąć.
Jeżeli próbuję zainstalować paczkę: libpng12-0.deb to dostaję komunkat:

Kod: Zaznacz cały

nie można zainstalować nowej wersji "/usr/lib/x86_64-linux-gnu/libpng12.so.0": Nie ma takiego pliku ani katalogu
Ogólnie na tej 16-tce program działa, tylko ma błędy zależności i jest usuwany gdy instaluję jakiś inny program.
Zastanawiałem się czy da się jakoś ręcznie przekopiować tą bibliotekę, albo oszukać system, że są spełnione zależności.

Awatar użytkownika
dedito
Moderator
Posty: 3274
Rejestracja: 18 listopada 2013, 21:07
Lokalizacja: Gliwice

Re: Virtualplanet, problem z zależnościami.

Post autor: dedito » 12 stycznia 2021, 01:13

Skąd mam wiedzieć jak instalujesz paczkę libpng12-0.deb ?
Sam komunikat wyjściowy, a w zasadzie jego wycinek, to za mało.

Paczka deb to archiwum ar więc można ją rozpakować poleceniem

Kod: Zaznacz cały

ar x paczka.deb
Pomocniczo, można sobie wejść na stronę z listą plików https://packages.debian.org/pl/jessie/a ... 0/filelist będziesz miał wiedzę gdzie skopiować pliki.
Na moje oko wystarczą poniższe:

Kod: Zaznacz cały

/lib/x86_64-linux-gnu/libpng12.so.0
/lib/x86_64-linux-gnu/libpng12.so.0.50.0
/usr/lib/x86_64-linux-gnu/libpng12.so.0

Właściwa biblioteka to jeden plik, reszta to symlinki.

ODPOWIEDZ